<?php
namespace NeoDuplicateFull\NeoGlobal; if (!defined("ABSPATH")) { die("neoWP direct access not allowed"); }




\NeoDuplicateFull\NeoGlobal\add_action_hook("wp_head", "admin_head", function () {
    ?>
    <script>

    const neoFirstInteractionPromiseNeoDuplicateFull = new Promise((resolve) => {
        const events = ["mousemove", "pointermove", "touchstart", "mousedown", "keydown", "keyup", "click", "wheel"];
        const resolveAndRemoveEventListeners = (evt) => {
            if (!evt.isTrusted) { return; }
            for (const event of events) { window.removeEventListener(event, resolveAndRemoveEventListeners); }
            resolve();
        };
        for (const event of events) { window.addEventListener(event, resolveAndRemoveEventListeners); }
    });
    </script>
<?php });
